For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate custom action
      • DELDelete custom action
      • GETList actions
      • GETShow custom action details
      • PATCHUpdate custom action

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceCustom Actions

Delete custom action

Deprecated
DELETE
https://api.frame.io/v4/accounts/:account_id/actions/:action_id
DELETE
/v4/accounts/:account_id/actions/:action_id
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.custom_actions.actions_delete(
8 account_id="3a3d6f30-946b-42c4-ac76-acaf482eb919",
9 action_id="af2d0aaf-9fd5-4db8-91c2-a68b093f979d",
10)
Delete a custom action. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://next.developer.frame.io/platform/v4/api-reference/custom-actions/actions-delete. <br/>Rate Limits: 60 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

List actions

Next

Delete a custom action.
This endpoint has been added to Current Version of the API.
Please see https://next.developer.frame.io/platform/v4/api-reference/custom-actions/actions-delete.
Rate Limits: 60 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
action_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error